data:extend(
{
	
	{
		type = "electric-pole",
		name = "y-electric-connector-r3",
		icon = "__Yuoki__/graphics/gfx/gf_connect_icon.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "y-electric-connector-r3"},
		max_health = 100,
		corpse = "small-remnants",
		resistances = 
		{
			{
				type = "fire",
				percent = 100
			}
		},
		collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		drawing_box = {{-2.8, -0.5}, {0.5, 0.5}},
		maximum_wire_distance = 3,
		supply_area_distance = 2.5,
		pictures =
		{
			filename = "__Yuoki__/graphics/gfx/gf_connect_pole.png",
			priority = "high",
			frame_width = 32,
			frame_height = 72,
			axially_symmetrical = false,
			direction_count = 1,
			shift = {0, -0.75}
		},
		connection_points =
		{
			{
				shadow =
				{
					copper = {0.2, -2.0},
					green = {0.1, -2.0},
					red = {0.1, -2.0}
				},
				wire =
				{
					copper = {0.1, -1.6},
					green = {-0.1,-1.6},
					red = {-0.1,-1.6}
				}
			},
			
		},
		copper_wire_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/copper-wire.png",
			priority = "high",
			width = 224,
			height = 46
		},
		green_wire_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/green-wire.png",
			priority = "high",
			width = 224,
			height = 46
		},
		radius_visualisation_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/electric-pole-radius-visualization.png",
			width = 10,
			height = 10
		},
		red_wire_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/red-wire.png",
			priority = "high",
			width = 224,
			height = 46
		},
		wire_shadow_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/wire-shadow.png",
			priority = "high",
			width = 224,
			height = 46
		}
	},
	
	{
		type = "electric-pole",
		name = "y-substation-m",
		icon = "__base__/graphics/icons/substation.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "y-substation-m"},
		max_health = 200,
		corpse = "medium-remnants",
		resistances = 
		{
			{
				type = "fire",
				percent = 90
			}
		},
		collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
		selection_box = {{-1, -1}, {1, 1}},
		drawing_box = {{-1, -1.5}, {1, 1}},
		maximum_wire_distance = 22,
		supply_area_distance = 9,
		pictures =
		{
			filename = "__base__/graphics/entity/substation/substation.png",
			priority = "high",
			frame_width = 132,
			frame_height = 144,
			axially_symmetrical = false,
			direction_count = 4,
			shift = {0.9, -1}
		},
		connection_points =
		{
			{
				shadow =
				{
					copper = {1.9, -0.6},
					green = {1.3, -0.6},
					red = {2.65, -0.6}
				},
				wire =
				{
					copper = {-0.23, -2.65},
					green = {-0.85,-2.65},
					red = {0.35,-2.65}
				}
			},
			{
				shadow =
				{
					copper = {1.9, -0.6},
					green = {1.2, -0.8},
					red = {2.5, -0.35}
				},
				wire =
				{
					copper = {-0.26, -2.71},
					green = {-0.67,-3},
					red = {0.17,-2.47}
				}
			},
			{
				shadow =
				{
					copper = {1.9, -0.6},
					green = {1.9, -0.9},
					red = {1.9, -0.3}
				},
				wire =
				{
					copper = {-0.23, -2.7},
					green = {-0.23,-3.2},
					red = {-0.23,-2.35}
				}
			},
			{
				shadow =
				{
					copper = {1.8, -0.7},
					green = {1.3, -0.6},
					red = {2.4, -1.15}
				},
				wire =
				{
					copper = {-0.2, -2.7},
					green = {-0.62,-2.45},
					red = {0.25,-2.98}
				}
			}
		},
		copper_wire_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/copper-wire.png",
			priority = "high",
			width = 224,
			height = 46
		},
		green_wire_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/green-wire.png",
			priority = "high",
			width = 224,
			height = 46
		},
		radius_visualisation_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/electric-pole-radius-visualization.png",
			width = 16,
			height = 16
		},
		red_wire_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/red-wire.png",
			priority = "high",
			width = 224,
			height = 46
		},
		wire_shadow_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/wire-shadow.png",
			priority = "high",
			width = 224,
			height = 46
		}
	},

	{
		type = "accumulator",
		name = "y-accumulator-s",
		icon = "__Yuoki__/graphics/gfx/small_accu_icon.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "y-accumulator-s"},
		max_health = 150,
		corpse = "medium-remnants",
		collision_box = {{-0.3, -0.3}, {0.3, 0.3}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		energy_source =
		{
			type = "electric",
			buffer_capacity = "2MJ",
			usage_priority = "terciary",
			input_flow_limit = "200kW",
			output_flow_limit = "300kW"
		},
		picture =
		{
			filename = "__Yuoki__/graphics/gfx/small_accu_inaktiv.png",
			priority = "extra-high",
			width = 34,
			height = 52,
			shift = {0.0, -0.5}
		},
		charge_animation =
		{
			filename = "__Yuoki__/graphics/gfx/small_accu_anim.png",
			frame_width = 34,
			frame_height = 52,
			line_length = 13,
			frame_count = 13,
			shift = {0.0, -0.5},
			animation_speed = 0.5
		},
		charge_cooldown = 15,
		charge_light = {intensity = 0.3, size = 6},
		discharge_animation =
		{
			filename = "__Yuoki__/graphics/gfx/small_accu_anim.png",
			frame_width = 34,
			frame_height = 52,
			line_length = 13,
			frame_count = 13,
			shift = {0.0, -0.5},
			animation_speed = 0.5
		},
		discharge_cooldown = 30,
		discharge_light = {intensity = 0.7, size = 6},
		order="s[accu]",
	},  
	{
		type = "accumulator",
		name = "y-accumulator-m",
		icon = "__Yuoki__/graphics/gfx/medium_accu_icon.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "y-accumulator-m"},
		max_health = 250,
		corpse = "medium-remnants",
		collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
		selection_box = {{-1, -1}, {1, 1}},
		energy_source =
		{
			type = "electric",
			buffer_capacity = "10MJ",
			usage_priority = "terciary",
			input_flow_limit = "600kW",
			output_flow_limit = "600kW"
		},
		picture =
		{
			filename = "__Yuoki__/graphics/gfx/accu_m_neutral.png",
			priority = "extra-high",
			width = 90,
			height = 100,
			shift = {0, -0.4}
		},
		charge_animation =
		{
			filename = "__Yuoki__/graphics/gfx/accu_m_charge.png",
			frame_width = 90,
			frame_height = 100,
			line_length = 8,
			frame_count = 8,
			shift = {0, -0.4},
			animation_speed = 0.2,
		},
		charge_cooldown = 45,
		charge_light = {intensity = 0.3, size = 11},
		discharge_animation =
		{
			filename = "__Yuoki__/graphics/gfx/accu_m_discharge.png",
			frame_width = 90,
			frame_height = 100,
			line_length = 8,
			frame_count = 8,
			shift = {0, -0.4},
			animation_speed = 0.2,
		},
		discharge_cooldown = 90,
		discharge_light = {intensity = 0.7, size = 11},
		order="s[accu]",
	},  
	{
		type = "accumulator",
		name = "y-accumulator-b",
		icon = "__Yuoki__/graphics/gfx/medium_accu_icon.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "y-accumulator-b"},
		max_health = 300,
		corpse = "medium-remnants",
		collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		energy_source =
		{
			type = "electric",
			buffer_capacity = "20MJ",
			usage_priority = "terciary",
			input_flow_limit = "1000kW",
			output_flow_limit = "1000kW"
		},
		picture =
		{
			filename = "__Yuoki__/graphics/gfx/accu_m_neutral.png",
			priority = "extra-high",
			width = 90,
			height = 100,
			shift = {0, 0}
		},
		charge_animation =
		{
			filename = "__Yuoki__/graphics/gfx/accu_m_charge.png",
			frame_width = 90,
			frame_height = 100,
			line_length = 8,
			frame_count = 8,
			shift = {0, 0},
			animation_speed = 0.2,
		},
		charge_cooldown = 60,
		charge_light = {intensity = 0.3, size = 15},
		discharge_animation =
		{
			filename = "__Yuoki__/graphics/gfx/accu_m_discharge.png",
			frame_width = 90,
			frame_height = 100,
			line_length = 8,
			frame_count = 8,
			shift = {0, 0},
			animation_speed = 0.2,
		},
		discharge_cooldown = 120,
		discharge_light = {intensity = 0.7, size = 15},
		order="s[accu]",
	},  
				
})