data:extend(
{	

	{
		type = "item-group",
		name = "yuoki-import",						
		icon = "__Yuoki__/graphics/gfx/yuoki_imports.png",
		inventory_order = "yi",
		order = "y-b",
	},

		
	{
		type = "item-subgroup",
		name = "yi-f-mod",
		group = "yuoki-import",
		order = "a0",
	},
		
		
	{
		type = "recipe",
		name = "yi-smelt-tin2-recipe",
		category = "yuoki-formpress-recipe",		
		energy_required = 3.0,
		enabled = "true",
		ingredients = {
			{"cassiterite", 1},			
			{type="fluid", name="liquid-co", amount=1},
		},
		results=
		{
			{type="item", name="y-tin-ingot", amount=1 },      	  
		},
		icon = "__Yuoki__/graphics/gfx/barren_tin.png",
		order="smelting",		
		subgroup = "yi-f-mod",
	},
	
	{
		type = "recipe",
		name = "y-smelt-gold-recipe",
		category = "yuoki-formpress-recipe",		
		energy_required = 4.0,
		enabled = "true",
		ingredients = {{"gold-ore", 3},},
		result = "y-gold-ingot",
		result_count = 2,
		icon = "__Yuoki__/graphics/gfx/barren_gold.png",
		order="smelting",
		subgroup = "yi-f-mod",
	},	
		
	{
		type = "recipe",
		name = "y-smelt-zinc-recipe",
		category = "yuoki-formpress-recipe",		
		energy_required = 7.0,
		enabled = "true",
		ingredients = {
			{"zinc-ore", 4},
			{type="fluid", name="liquid-air", amount=5},
			{type="fluid", name="liquid-co", amount=2},
		},
		results=
		{
			{type="item", name="y-zinc-ingot", amount=2 },      	  
			{type="fluid", name="sulfuric-acid", amount=1 },
			{type="fluid", name="liquid-co2", amount=2 },
		},
		icon = "__Yuoki__/graphics/gfx/barren_zinc.png",
		order="smelting",
		subgroup = "yi-f-mod",
	},
	{
		type = "recipe",
		name = "y-smelt-aluminium-recipe",
		category = "yuoki-formpress-recipe",		
		energy_required = 10.0,
		enabled = "true",
		ingredients = {
			{"bauxite-ore", 5},
			{type="fluid", name="sulfuric-acid", amount=1.5 },
		},
		results=
		{
			{type="item", name="y-aluminum-ingot", amount=2 },      	  
		},
		icon = "__Yuoki__/graphics/gfx/barren_alumin.png",
		order="smelting",
		subgroup = "yi-f-mod",
	},		
	{
		type = "recipe",
		name = "y-smelt-silver-recipe",
		category = "yuoki-formpress-recipe",		
		energy_required = 4.0,
		enabled = "true",
		ingredients = {
			{"silver-ore", 2},			
			{type="fluid", name="liquid-air", amount=3},			
		},
		results=
		{
			{type="item", name="y-silver-ingot", amount=1 },      	  
			{type="item", name="dry_mud", amount=2 },			
		},
		icon = "__Yuoki__/graphics/gfx/barren_silver16.png",
		order="smelting",
		subgroup = "yi-f-mod",
	},	
	
	
	
})