data:extend(
{

	{
		type = "recipe",
		name = "y-archsite-recipe",
		ingredients = {{"steel-plate", 2}, {"pipe", 3}, {"stone", 20}}, 
		result = "archsite",
	},
	{
		type = "recipe",
		name = "y-dirtwasher-recipe",
		ingredients = {{"iron-plate",6},{"steel-plate",4},{"copper-cable",5},{"iron-gear-wheel",3}},
		result = "dirtwasher",
		enabled = "true",		
		result_count = 1,
		order="machine",
	},	
	{
		type = "recipe",
		name = "y-heat-form-press-recipe",
		ingredients = {{"assembling-machine-1",1},{"steel-plate",6},{"copper-cable",4},{"iron-gear-wheel",3}},
		result = "heat-form-press",
		enabled = "true",		
		result_count = 1,
		order="machine",
	},
	{
		type = "recipe",
		name = "y-mining-drill-recipe",
		ingredients = {{"burner-mining-drill",2},{"steel-plate",4},{"copper-cable",6},{"iron-gear-wheel",4}},
		result = "y-mining-drill",
		enabled = "true",		
		result_count = 1,
		order="machine",
	},
	{
		type = "recipe",
		name = "y-crusher-recipe",
		ingredients = {{"assembling-machine-1",1},{"y-refined-rare-ore-t1",8},{"copper-cable",4},{"iron-gear-wheel",6}},
		result = "y-crusher",
		enabled = "true",		
		result_count = 1,
		order="machine",
	},

	{
		type = "item",
		name = "archsite",
		icon = "__Yuoki__/graphics/icons/archsite_icon.png",
		group = "Yuoki",
		subgroup = "yuoki-archaeology",
		flags = {"goes-to-quickbar"},
		place_result = "archsite",
		stack_size = 20,
	},
	{
		type = "item",
		name = "dirtwasher",
		icon = "__Yuoki__/graphics/icons/dw.png",
		group = "yuoki",
		subgroup = "yuoki-archaeology",
		flags = {"goes-to-quickbar"},
		place_result = "dirtwasher",
		stack_size = 20,
	},
	{
		type = "item",
		name = "heat-form-press",
		icon = "__Yuoki__/graphics/icons/pressure_icon.png",
		group = "yuoki",
		subgroup = "yuoki-archaeology",
		flags = {"goes-to-quickbar"},
		place_result = "heat-form-press",
		stack_size = 20,
	},		
	{
		type = "item",
		name = "y-mining-drill",
		icon = "__Yuoki__/graphics/icons/mine_drill_icon.png",
		flags = {"goes-to-quickbar"},
		subgroup = "yuoki-archaeology",
		order = "a[items]-a[burner-mining-drill]",
		place_result = "y-mining-drill",
		stack_size = 20,
	},
	{
		type = "item",
		name = "y-crusher",
		icon = "__Yuoki__/graphics/icons/crusher-icon.png",
		flags = {"goes-to-quickbar"},
		subgroup = "yuoki-archaeology",
		order = "a[crusher]",
		place_result = "y-crusher",
		stack_size = 20,
	},

	
})